Subject: bug#42423: closed (Re: bug#42423: icedtea: JAVA_HOME)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Nov 2024 16:17:02 +0000

Your bug report

#42423: icedtea: JAVA_HOME

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42423: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42423
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42423: icedtea: JAVA_HOME
From: Christopher Howard <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: Michael Rohleder <[email-masked]>, [email-masked]
Date: Fri, 01 Nov 2024 08:16:07 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Looking at this bug report after a few years, the question doesn't seem worthy of more attention. Closing my bug report.

-- 
Christopher Howard

Subject: icedtea: JAVA_HOME
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jul 2020 21:09:52 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I'm not going to pretend to be a Java expert, but I was trying to
build and run a Java application, and had to set JAVA_HOME manually. It
is my understanding from my research[1] that applications often will
want JAVA_HOME set to the path to the java install directory. It would
seem like it would be useful if Guix set that as well for the icedtea
and icedtea:jdk package.

If there are good reasons for that not to be, perhaps more
knowledgeable individuals will explain it.

One part I'm not quite sure about is what JAVA_HOME would be set to if
both icedtea and icedtea:jdk were installed.

[1] Many JAVA_HOME results in a Startpage.com search

-- 
Christopher Howard
p: +1 (907) 374-0257
w: https://librehacker.com
social: https://gnusocial.club/librehacker
gpg: ADDEAADE5D607C8D (keys.gnupg.net)